#include <stdio.h>
using namespace std;
int main()
{
    int n, s;
    scanf("%d", &n);
    int Arr[n];
    for(int i=0; i<n; i++)
    {
        scanf("%d", &Arr[i]);
    }
    for(int i=0; i<n-1; i++)
    {
        for(int j=i; j<n; j++)
        {
            if(Arr[j]<Arr[j+1])
            {
                int swap1 = Arr[j+1];
                Arr[j+1]= Arr[j];
                Arr[j] = swap1;
            }
        }
    }
    printf("%d", Arr[1]-1);
}
